#!/usr/bin/env python
# -*- coding: ISO-8859-1 -*-
from distutils.core import setup, Extension

setup(name="PyTone",
      version="1.11.0",
      description="Powerfull MP3 jukebox with a curses based GUI.",
      author="Jrg Lehmann",
      author_email="joerg@luga.de",
      url="http://www.luga.de/pytone/",
      py_modules=["builddb",
                  "config",
                  "events",
                  "filelist",
                  "filelistwin",
                  "help",
                  "helper",
                  "helpwin",
                  "item",
                  "iteminfowin",
                  "inputwin",
                  "mixerwin",
                  "mainscreen",
                  "mp3file",
                  "MP3Info",
		  "player",
                  "playerwin",
                  "playlist",
                  "playlistwin",
                  "purgedb",
                  "pytone",
		  "slist",
                  "songdb",
                  "statusbar",
                  "timer",
                  "window", 
		  "players.madplayer",
                  "players.mpg123player",
                  "players.xmmsplayer"],
      ext_modules=[Extension("pcm", sources=["pcm/pcm.c"])],
      data_files=[('/usr/share/locale/de/LC_MESSAGES', ['locale/de/LC_MESSAGES/PyTone.mo'])]
      )
